BEGIN TRANSACTION;
CREATE TABLE IF NOT EXISTS "tbEt" (
	"id"	INTEGER UNIQUE,
	"lib"	TEXT,
	PRIMARY KEY("id")
);
CREATE TABLE IF NOT EXISTS "tbMat" (
	"id"	INTEGER UNIQUE,
	"lib"	TEXT,
	"coef"	INTEGER,
	PRIMARY KEY("id")
);
CREATE TABLE IF NOT EXISTS "tbNote" (
	"id"	INTEGER NOT NULL UNIQUE,
	"id_et"	INTEGER NOT NULL,
	"id_mat"	INTEGER NOT NULL,
	"note"	REAL CHECK("note" >= 0 AND "note" <= 20),
	PRIMARY KEY("id" AUTOINCREMENT)
	FOREIGN KEY("id_et") REFERENCES "tbEt"("id"),
    FOREIGN KEY("id_mat") REFERENCES "tbMat"("id")
);
INSERT INTO "tbEt" ("id","lib") VALUES (1,'Durand'),
 (2,'Dupond'),
 (3,'Martin'),
 (4,'Durant'),
 (5,'Marquez');
INSERT INTO "tbMat" ("id","lib","coef") VALUES (1,'Maths',3),
 (2,'Info',10),
 (3,'EEA',5);
INSERT INTO "tbNote" ("id","id_et","id_mat","note") VALUES (1,1,1,15.0),
 (2,2,1,14.0),
 (3,3,1,12.0),
 (4,4,1,14.0),
 (5,5,1,8.0),
 (6,1,2,4.0),
 (7,2,2,8.0),
 (8,3,2,15.0),
 (9,4,2,10.0),
 (10,5,2,5.0),
 (11,1,3,8.0),
 (12,2,3,17.0),
 (13,3,3,16.0),
 (14,4,3,8.0),
 (15,5,3,3.0),
 (16,5,5,3.0);
COMMIT;
